> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Unblock Member

POST https://api.npretail.app/{tenant}/{environment}/{company}/membership/member/{memberId}/unblock

Unblock a previously blocked member, allowing them to resume activities associated with their membership. This endpoint re-enables access that was previously restricted.

Reference: https://docs.navipartner.com/apis/api-reference/memberships/service-member/unblock-member

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)
- `memberId` (UUID, required) — Unique identifier for a member.

## Response

### 200

- `member` (MemberEntityResponse, required) — The MemberEntityResponse extends the MemberEntityRequest and includes additional properties such as the member's ID, membership number, and blocked status. This DTO is used when returning a member's details.

## Types

### MemberEntityResponse

The MemberEntityResponse extends the MemberEntityRequest and includes additional properties such as the member's ID, membership number, and blocked status. This DTO is used when returning a member's details.

- `blocked` (boolean, required) — Indicates whether the entity is blocked.
- `memberId` (UUID, required) — Unique identifier for a member.
- `memberNumber` (string, required) — Unique number identifying the member.
- `address` (string, optional) — The address of the member.
- `attributes` (list of AttributeValueListResponse, optional)
- `birthday` (date, optional) — The birth date of the member.
- `blockedAt` (datetime, optional) — Date and time when the entity was blocked.
- `city` (string, optional) — The city where the member resides.
- `country` (string, optional) — The country where the member resides.
- `email` (string, optional) — The email address of the member.
- `firstName` (string, optional) — The first name of the member.
- `gender` (enum, optional) — The gender of the member.
  - Allowed values: `notSpecified`, `female`, `male`, `other`
- `hasNotes` (boolean, optional) — Indicates if the member has extra information such as notes attached.
- `hasPicture` (boolean, optional) — Indicates if the member has a picture.
- `lastName` (string, optional) — The last name of the member.
- `middleName` (string, optional) — The middle name of the member.
- `nationalIdentifier` (NationalIdentifierResponse, optional) — A NationalIdentifier is used to represent a person's national identification number in a structured way. It includes the type of identifier and its value.
- `newsletter` (enum, optional) — Indicates whether the member is subscribed to the newsletter.
  - Allowed values: `unknown`, `yes`, `no`
- `phoneNo` (string, optional) — The phone number of the member.
- `postCode` (string, optional) — The postal code of the member's address.
- `preferredLanguage` (string, optional) — The preferred language of the member.
- `storeCode` (string, optional) — A unique identifier for a store - a logical grouping defining a subset of membership items. This is used to filter the list of membership related items returned by the API.

### AttributeValueListResponse

This response contains a list of attribute values associated with a specific membership entity.

- `id` (UUID, required)
- `code` (string, required) — The key code for the attribute. This is a unique identifier for the attribute.
- `type` (enum, required) — The datatype of the attribute.
  - Allowed values: `text`, `code`, `date`, `datetime`, `decimal`, `integer`, `boolean`, `unknown`
- `caption` (string, required) — The caption of the attribute.
- `value` (string, required) — The value of the attribute. This is the actual data associated with the attribute.

### NationalIdentifierResponse

A NationalIdentifier is used to represent a person's national identification number in a structured way. It includes the type of identifier and its value.

- `type` (string, required) — Type of national ID. Available values are implementation dependent. Common values are - *none* : No national ID provided / free text, without validation is always allowed - *dk_cpr* : (example) Danish CPR number [dk_cpr, dk_cvr, dk_vat] requires customization. - *se_pnr* : (example) Swedish PNR number [se_pnr, se_cnr, se_onr, se_vat] requires customization.
- `description` (string, required) — Description of the national ID
- `canonical` (string, required) — Canonical form of the national ID
- `unmasked` (string, required) — Unmasked form of the national ID
- `masked` (string, required) — Masked form of the national ID

## Examples

**Response**

```json
{
  "member": {
    "blocked": false,
    "memberId": "12345678-abcd-1234-5678-1234567890ab",
    "memberNumber": "M123456789",
    "address": "123 Main Street",
    "birthday": "1980-01-01",
    "city": "New York",
    "country": "USA",
    "email": "john.doe@acme.com",
    "firstName": "John",
    "gender": "male",
    "hasNotes": true,
    "hasPicture": true,
    "lastName": "Doe",
    "middleName": "A.",
    "nationalIdentifier": {
      "type": "dk_cpr",
      "description": "DK CPR number",
      "canonical": "1111111118",
      "unmasked": "111111-1118",
      "masked": "111111-****"
    },
    "newsletter": "yes",
    "phoneNo": "+1234567890",
    "postCode": "12345",
    "preferredLanguage": "EN",
    "storeCode": "EN"
  }
}
```

**SDK Code**

```python Example Unblock Member
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/unblock"

headers = {"x-np-api-key": "<NaviPartner API Key>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Example Unblock Member
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/unblock';
const options = {method: 'POST', headers: {'x-np-api-key': '<NaviPartner API Key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example Unblock Member
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/unblock"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example Unblock Member
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/unblock")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'

response = http.request(request)
puts response.read_body
```

```java Example Unblock Member
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/unblock")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .asString();
```

```php Example Unblock Member
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/unblock', [
  'headers' => [
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp Example Unblock Member
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/unblock");
var request = new RestRequest(Method.POST);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
IRestResponse response = client.Execute(request);
```

```swift Example Unblock Member
import Foundation

let headers = ["x-np-api-key": "<NaviPartner API Key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/unblock")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```